com.marklogic.xcc.types

## Class ValueType

- java.lang.Object
- - com.marklogic.xcc.types.ValueType

- Direct Known Subclasses:
    ItemType, SequenceType

      public abstract class ValueType
      extends java.lang.Object

  Base class for the typesafe enumeration objects that represent XML Schema types.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NodeType` | `ARRAY_NODE`
    `static NodeType` | `ATTRIBUTE`
    `static NodeType` | `BINARY`
    `static NodeType` | `BOOLEAN_NODE`
    `static NodeType` | `COMMENT`
    `static AtomicType` | `CTS_BOX`
    `static AtomicType` | `CTS_CIRCLE`
    `static AtomicType` | `CTS_POINT`
    `static AtomicType` | `CTS_POLYGON`
    `static NodeType` | `DOCUMENT`
    `static NodeType` | `ELEMENT`
    `static AtomicType` | `JS_ARRAY`
    `static AtomicType` | `JS_NULL`
    `static AtomicType` | `JS_OBJECT`
    `static NodeType` | `NODE`
    `static NodeType` | `NULL_NODE`
    `static NodeType` | `NUMBER_NODE`
    `static NodeType` | `OBJECT_NODE`
    `static NodeType` | `PROCESSING_INSTRUCTION`
    `static ValueType` | `SEQUENCE`
    `static NodeType` | `TEXT`
    `static AtomicType` | `VEC_VECTOR`
    `static AtomicType` | `XS_ANY_URI`
    `static AtomicType` | `XS_BASE64_BINARY`
    `static AtomicType` | `XS_BOOLEAN`
    `static AtomicType` | `XS_DATE`
    `static AtomicType` | `XS_DATE_TIME`
    `static AtomicType` | `XS_DAY_TIME_DURATION`
    `static AtomicType` | `XS_DECIMAL`
    `static AtomicType` | `XS_DOUBLE`
    `static AtomicType` | `XS_DURATION`
    `static AtomicType` | `XS_FLOAT`
    `static AtomicType` | `XS_GDAY`
    `static AtomicType` | `XS_GMONTH`
    `static AtomicType` | `XS_GMONTH_DAY`
    `static AtomicType` | `XS_GYEAR`
    `static AtomicType` | `XS_GYEAR_MONTH`
    `static AtomicType` | `XS_HEX_BINARY`
    `static AtomicType` | `XS_INTEGER`
    `static AtomicType` | `XS_QNAME`
    `static AtomicType` | `XS_STRING`
    `static AtomicType` | `XS_TIME`
    `static AtomicType` | `XS_UNTYPED_ATOMIC`
    `static AtomicType` | `XS_YEAR_MONTH_DURATION`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `isSequence()` Indicates whether this value type represents a sequence or single value.
    `java.lang.String` | `toString()` The name of this XQuery type, as a string.
    `static ValueType` | `valueOf(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SEQUENCE

          public static final ValueType SEQUENCE

    - #### NODE

          public static final NodeType NODE

    - #### ELEMENT

          public static final NodeType ELEMENT

    - #### DOCUMENT

          public static final NodeType DOCUMENT

    - #### TEXT

          public static final NodeType TEXT

    - #### BINARY

          public static final NodeType BINARY

    - #### ATTRIBUTE

          public static final NodeType ATTRIBUTE

    - #### PROCESSING_INSTRUCTION

          public static final NodeType PROCESSING_INSTRUCTION

    - #### COMMENT

          public static final NodeType COMMENT

    - #### OBJECT_NODE

          public static final NodeType OBJECT_NODE

    - #### NULL_NODE

          public static final NodeType NULL_NODE

    - #### BOOLEAN_NODE

          public static final NodeType BOOLEAN_NODE

    - #### ARRAY_NODE

          public static final NodeType ARRAY_NODE

    - #### NUMBER_NODE

          public static final NodeType NUMBER_NODE

    - #### XS_UNTYPED_ATOMIC

          public static final AtomicType XS_UNTYPED_ATOMIC

    - #### XS_STRING

          public static final AtomicType XS_STRING

    - #### XS_BOOLEAN

          public static final AtomicType XS_BOOLEAN

    - #### XS_INTEGER

          public static final AtomicType XS_INTEGER

    - #### XS_DECIMAL

          public static final AtomicType XS_DECIMAL

    - #### XS_FLOAT

          public static final AtomicType XS_FLOAT

    - #### XS_DOUBLE

          public static final AtomicType XS_DOUBLE

    - #### XS_DURATION

          public static final AtomicType XS_DURATION

    - #### XS_DAY_TIME_DURATION

          public static final AtomicType XS_DAY_TIME_DURATION

    - #### XS_YEAR_MONTH_DURATION

          public static final AtomicType XS_YEAR_MONTH_DURATION

    - #### XS_DATE_TIME

          public static final AtomicType XS_DATE_TIME

    - #### XS_TIME

          public static final AtomicType XS_TIME

    - #### XS_DATE

          public static final AtomicType XS_DATE

    - #### XS_ANY_URI

          public static final AtomicType XS_ANY_URI

    - #### XS_QNAME

          public static final AtomicType XS_QNAME

    - #### XS_GDAY

          public static final AtomicType XS_GDAY

    - #### XS_GMONTH

          public static final AtomicType XS_GMONTH

    - #### XS_GMONTH_DAY

          public static final AtomicType XS_GMONTH_DAY

    - #### XS_GYEAR

          public static final AtomicType XS_GYEAR

    - #### XS_GYEAR_MONTH

          public static final AtomicType XS_GYEAR_MONTH

    - #### XS_HEX_BINARY

          public static final AtomicType XS_HEX_BINARY

    - #### XS_BASE64_BINARY

          public static final AtomicType XS_BASE64_BINARY

    - #### CTS_BOX

          public static final AtomicType CTS_BOX

    - #### CTS_CIRCLE

          public static final AtomicType CTS_CIRCLE

    - #### CTS_POINT

          public static final AtomicType CTS_POINT

    - #### CTS_POLYGON

          public static final AtomicType CTS_POLYGON

    - #### JS_ARRAY

          public static final AtomicType JS_ARRAY

    - #### JS_OBJECT

          public static final AtomicType JS_OBJECT

    - #### JS_NULL

          public static final AtomicType JS_NULL

    - #### VEC_VECTOR

          public static final AtomicType VEC_VECTOR

  - ### Method Detail

    - #### isSequence

          public abstract boolean isSequence()

      Indicates whether this value type represents a sequence or single value.
      Returns:
        true if the type represented is a sequence, false otherwise.

    - #### toString

          public java.lang.String toString()

      The name of this XQuery type, as a string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A string represntation of this type.

    - #### valueOf

          public static final ValueType valueOf(java.lang.String name)

Copyright © 2025 MarkLogic Corporation. All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com